Subject: bug#71140: 30.0.50; winner-dont-bind-my-keys not respected

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 May 2024 19:12:40 +0300

[Please use Reply All to reply, to keep the bug address on the CC list.

> From: Johann Höchtl <[email-masked]>
> Date: Thu, 23 May 2024 17:55:22 +0200
> 
> Am Do., 23. Mai 2024 um 15:05 Uhr schrieb Eli Zaretskii <[email-masked]>:
> 
>  > From: Johann Höchtl <[email-masked]>
>  > Date: Thu, 23 May 2024 08:15:26 +0200
>  > 
>  > I customized winner-dont-bind-my-keys 't but C-<left> or C-<right> are
>  > still bound to winner-mode, in my case overriding indentation shift
>  > commands of markdown-mode.
>  > 
>  > As it seems, the customization variable is not respected.
> 
>  I cannot reproduce this.  Please tell in more detail how you
>  customized the variable, maybe that's where the problem lies.
> 
> I simply called M-x customize-group  winner, therein set winner-mode boolean to 't and Winner Dont Bind My
> Keys to on, this results in
> 
> (custom-set-variables
>  '(winner-dont-bind-my-keys t)
>  '(winner-mode t)
> )

I think after you customize this, you need to turn the mode off and on
again.

Or customize the variable with setq instead.